Name:		putty
Version:	0.68
Release:	%mkrel 1
Summary:	SSH, Telnet and Rlogin client
License:	MIT
Group:		Networking/Remote access
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source:		http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}-icons.tar.bz2
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	halibut
BuildRequires:	desktop-file-utils

%description
This is the Unix port of the popular Windows ssh client, PuTTY. It
supports flexible terminal setup, mid-session reconfiguration using
Ctrl-rightclick, multiple X11 authentication protocols, and various
other interesting things not provided by ssh in an xterm.

%prep
%setup -q
%setup -q -T -D -a2

%build
./mkfiles.pl
%make -C doc

pushd unix
sed -i -e "s/-O2 -Wall -Werror/%{optflags}/g" \
	-e "s,/usr/local,%{_prefix},g" \
	Makefile.gtk
ln -s Makefile.gtk Makefile
popd
%make VER=-DSNAPSHOT=%{version} -C unix CC="gcc %ldflags"

%install
install -d  html
install -pm 0644 doc/*.html html
%makeinstall INSTALL="install -p" -C unix

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

install -D -m 644 %{name}48.png %buildroot/%{_datadir}/icons/hicolor/48x48/apps/%name.png
install -D -m 644 %{name}32.png %buildroot/%{_datadir}/icons/hicolor/32x32/apps/%name.png
install -D -m 644 %{name}32.png %buildroot/%{_datadir}/icons/%name.png
install -D -m 644 %{name}16.png %buildroot/%{_datadir}/icons/hicolor/16x16/apps/%name.png

%files
%doc LICENCE README CHECKLST.txt html
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/putty.png


%changelog
* Sun Mar 19 2017 shlomif <shlomif> 0.68-1.mga5
+ Revision: 1093636
- Correct rel tag to 1
- New version 0.68 w bug fix ( MGA#20525 )

  + luigiwalser <luigiwalser>
    - 0.67
    - 0.66 (fixes CVE-2015-5309)

* Tue Mar 03 2015 oden <oden> 0.64-1.mga5
+ Revision: 817396
- 0.64 (fixes CVE-2015-2157)

* Wed Oct 15 2014 umeabot <umeabot> 0.63-4.mga5
+ Revision: 742563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.63-3.mga5
+ Revision: 687843
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.63-2.mga4
+ Revision: 531641
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 oden <oden> 0.63-1.mga4
+ Revision: 464316
- 0.63 (fixes CVE-2013-4852, CVE-2013-4206, CVE-2013-4207, CVE-2013-4208)

* Mon Aug 05 2013 oden <oden> 0.62-3.mga4
+ Revision: 463793
- P1: security fix for CVE-2013-4852

* Sun Jan 13 2013 umeabot <umeabot> 0.62-2.mga3
+ Revision: 378344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 fwang <fwang> 0.62-1.mga2
+ Revision: 180339
- new version 0.62

* Mon Sep 19 2011 fwang <fwang> 0.61-3.mga2
+ Revision: 145576
- br desktop-file-utils
- rebuild for new libpng

  + stormi <stormi>
    - update release so that it's higher than in mageia 1

* Wed Jul 13 2011 sander85 <sander85> 0.61-1.mga2
+ Revision: 123812
- new version: 0.61

* Thu Jun 30 2011 sander85 <sander85> 0.60-1.20100910svn8991.mga2
+ Revision: 116931
- imported package putty


* Thu Jun 30 2011 Sander Lepik <sander.lepik@eesti.ee> - 0.60-1.20100910svn8991.mga2
- Initial import (mixed from Mandriva & Fedora)
